[package]
name = "bp3d-tracing"
version = "1.0.0-alpha-2.0.0"
authors = ["Yuri Edward <yuri6037@outlook.com>"]
edition = "2018"
description = "Tracing subscriber implementations for use with BP3D software. Supports traditional logging through bp3d-logger and supports remote profiling through TCP."
license = "BSD-3-Clause"
repository = "https://gitlab.com/bp3d/tracing/tracing"
readme = "./README.MD"
keywords = ["bp3d", "tracing"]
categories = ["development-tools", "development-tools::debugging", "development-tools::profiling"]

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
tracing = "0.1.32"
tracing-core = "0.1.24"
time = {version = "0.3.9", features = ["formatting"] }
bp3d-logger = "1.1.0"
time-tz = { version = "1.0.0", features = ["system"] }
log = "0.4.16"
dashmap = "5.2.0"
serde = "1.0.136"
bincode = "1.3.3"
crossbeam-channel = "0.5.4"
once_cell = "1.10.0"
unbounded-udp = "1.0.0"
bp3d-fs = "1.1.0"
bp3d-env = "1.0.2"
byteorder = "1.4.3"

[build-dependencies]
semver = "1.0.7"
